stages:
  - Build

.Build:
  stage: Build
  image: docker:stable
  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2
    UBUNTU_VERSION: "rolling"
  script:
    - docker login --username ${CI_REGISTRY_USER} --password ${CI_REGISTRY_PASSWORD} ${CI_REGISTRY}
    - docker build --no-cache --tag ${CI_REGISTRY_IMAGE}:${TAG} --build-arg VERSION=${TAG} .
    - docker push ${CI_REGISTRY_IMAGE}:${TAG}

Build:15:
  extends: .Build
  variables:
    TAG: 15

Build:16:
  extends: .Build
  variables:
    TAG: 16

Build:17:
  extends: .Build
  variables:
    TAG: 17

Build:18:
  extends: .Build
  variables:
    TAG: 18